%global commit 4119c553923212cc67f4e135e6f946dc3ec0a4d6
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-tmuxline
Version:        20240603
Release:        1%{?dist}
Summary:        Simple tmux statusline generator

License:        MIT
URL:            https://github.com/edkolev/tmuxline.vim
Source0:        %{url}/archive/%{commit}/tmuxline.vim-%{version}-git%{shortcommit}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-tmuxline.metainfo.xml

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
Simple tmux statusline generator with support for powerline symbols and
statusline/airline/lightline integration.


%prep
%autosetup -n tmuxline.vim


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {autoload,doc,plugin} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.md
%license LICENSE
%doc %{vimfiles_root}/doc/tmuxline.txt
%{vimfiles_root}/autoload/tmuxline
%{vimfiles_root}/autoload/tmuxline.vim
%{vimfiles_root}/plugin/tmuxline.vim
%{_metainfodir}/vim-tmuxline.metainfo.xml


%changelog
* Tue Apr 18 2023 Patrick Laimbock <patrick@laimbock.com> - 20230418-1
- add version (date) to the source

* Tue Apr 18 2023 Patrick Laimbock <patrick@laimbock.com> - 20230418-1
- initial package
- based on git commit 4119c553923212cc67f4e135e6f946dc3ec0a4d6

